Hello Guest, if you reading this it means you have not yet registered. Please take a second to Click here to register and in a few simple steps, you will be able to enjoy all the many features of our fine community. Please note that nicknames are prohibited lewd or meaningless (no numbers or letters at random) and introduce yourself in the section for you to meet our community.
kernel 2.4.23 prawie działa
Strona 1 z 2 12 OstatniOstatni
Pokaż wyniki od 1 do 10 z 15

Temat: kernel 2.4.23 prawie działa

  1. #1
    Avatar Anonymous
    Anonymous Gość

    kernel 2.4.23 prawie działa

    Więc tak. Zabrałem się za kompilację pierwszy raz. I wszystko ok (robię wszystko jak opisano w poście powyżej). Lilo skonfigurowałem więc mogę bawić się do bulu. Gorzej mi idzie z make menuconfig (ostatni raz użyłem xconfiga, instrukcię biorę z http://anarchia.dolsat.pl/kernel.html ). Pierwszy start odbył się czrnym ekranem, drugi poszedł kawałek i zwiecha dysk pracuje a nic nie widzę) Zauważyłem że ustawienia menuconfig zapisywane są do pliku .config, wię przekopiowałem plik z linux-2.4.22-10mdk do linux 2.4.23 po czym zaczołem okrajać co niepotrzebne (nie wiem czy dobrze zrobiłem ). No i good system odpala uśmiech na twarzy troszka błędów ale do wyłapania no i pierwsze kłopoty brak startu x-ów. Zmieniam w XF86Config-4 w module po staremu czyli z nvidia na nv i idzie. Ale jest tak działa tylko dzwięk. W Harddarke widzę wszystkie urządzenia ale nie mogę ich konfigurować tzn. floopy, cdrom, karta sieciowa. Wszystko jest fizycznie ale nie działa (poza dzwiękim), zamontowane dyski są puste. I teraz pytnie zasadnicze czy muszę ustawiać wszytko w menuconfig aż będzie ok na zasadzie prób i błędów czy jest jakiś inny sposób. Dużo konfiguracj pokazuje mi których nie w opisie. Gdzie mogę znaleźć logi ze startu systemu i o urządzenich. Czy sterowniki nvidia powinny wystartować po nowym jajkiem czy trzeba zainstalować na nowo. Mam amd athlon 2000xp+ asus k7v8x lan i sound (Broadcom i ac97 na via 8235) 256DDR 333Mhz gf4 460 64mb więc komilacja u mnie w miarę szybko się odbywa.

  2. Panna Google
    Panna Google jest aktywna
    Avatar Panny Google

    Dołączył
    01-05-2004
    Skąd
    Internet
    Postów
    999
    Pochwał
    159

    Nie lubisz reklam? Zarejestrowani ich nie widzą! Rejestracja





  3. #2
    Avatar Anonymous
    Anonymous Gość
    No kupke sobie zrobiles. Widocznie nie pozanaczales wszystkiego co jest Ci potrzebne, skoro Twoje jadro tego nie obsluguje.

  4. #3
    Dołączył
    Oct 2003
    Skąd
    Wrocław
    Wiek
    35
    Postów
    2,467
    Wątków
    38
    Siła Reputacji
    68
    Reputacja
    517
    Sterowniki nvidii musisz zainstalować jeszcze raz. Logi znajdziesz w /var/log/* informacje które pokazują się w czasie startu dostaniesz po wpisaniu dmesg. Co do reszty to prawdopodobnie nie wkompilowałeś potrzebnych rzeczy. Przy opcjach w make menuconfig, czy make xconfig są pola help. Pozaglądaj do nich. To powinno trochę pomóc

  5. #4
    Avatar Anonymous
    Anonymous Gość
    Wię powklejam sobie

    Dec 13 23:26:23 artur modprobe: modprobe: Can't locate module supermount
    Dec 13 23:26:23 artur mount: mount: fs type supermount not supported by kernel
    Dec 13 23:26:23 artur modprobe: modprobe: Can't locate module supermount
    Dec 13 23:26:23 artur mount: mount: fs type supermount not supported by kernel
    Dec 13 23:26:23 artur netfs: Montowanie innych systemów plików: failed




    ec 13 23:26:13 artur modprobe: modprobe: Can't locate module usb-uhci
    Dec 13 23:26:13 artur usb: Inicjalizacja kontrolera USB (usb-uhci): failed
    Dec 13 23:26:13 artur modprobe: modprobe: Can't locate module ehci-hcd
    Dec 13 23:26:13 artur usb: Inicjalizacja kontrolera USB (ehci-hcd): failed




    Dec 13 23:28:13 artur modprobe: modprobe: Can't locate module eth0
    Dec 13 23:28:13 artur modprobe: modprobe: Can't locate module eth1
    Dec 13 23:28:13 artur modprobe: modprobe: Can't locate module eth2
    Dec 13 23:28:13 artur modprobe: modprobe: Can't locate module eth3
    Dec 13 23:28:13 artur modprobe: modprobe: Can't locate module tr0
    Dec 13 23:28:13 artur modprobe: modprobe: Can't locate module tr1
    Dec 13 23:28:13 artur modprobe: modprobe: Can't locate module tr2
    Dec 13 23:28:13 artur modprobe: modprobe: Can't locate module tr3
    Dec 13 23:28:13 artur modprobe: modprobe: Can't locate module fddi0
    Dec 13 23:28:13 artur modprobe: modprobe: Can't locate module fddi1
    Dec 13 23:28:13 artur modprobe: modprobe: Can't locate module fddi2
    Dec 13 23:28:13 artur modprobe: modprobe: Can't locate module fddi3




    z tego co wyczytałem to nie mam w kernelu supermount ale jedyną sekcją gdzie się ją włącza jest Loadable module support (też tak wyczytałem) i na bank jest włączona. Tylko z modułami dalej mam problem.[/url][/quote][/code]

  6. #5
    Dołączył
    Dec 2003
    Skąd
    Tarnów
    Postów
    205
    Wątków
    0
    Siła Reputacji
    30
    Reputacja
    1
    Zeby miec supermounta trzeba spatchowac zrodla kernela: http://supermount-ng.sourceforge.net/ (chyba, ze juz masz spatchowane).

    Mowisz, ze zaznaczone, wiec pewnie spatchowane, ale zaznaczyles jako modul, czy kazales wkompilowac?

    Podobnie sprawa ma sie z uhci, to jest do myszki usb.
    <img src='http://www.proftpd.de/forum2/images/smiles/icon_rtfm.gif' border='0' alt='user posted image'>
    Powered by FreeBSD 5.2-RC2

  7. #6
    Avatar Anonymous
    Anonymous Gość
    Cyba trafiłeś w sedno - nic nir patchowałem, ale nie wiem co i jak mam z tym patchiem zrobić.

  8. #7
    Dołączył
    Dec 2003
    Skąd
    Tarnów
    Postów
    205
    Wątków
    0
    Siła Reputacji
    30
    Reputacja
    1
    Wrzucasz do /usr/src/linux i wydajesz komende gzip nazwa-pliku-z-patchem.gz | patch -p1.
    <img src='http://www.proftpd.de/forum2/images/smiles/icon_rtfm.gif' border='0' alt='user posted image'>
    Powered by FreeBSD 5.2-RC2

  9. #8
    Avatar Anonymous
    Anonymous Gość
    A to co:

    gzip: supermount-1.2.10-2.4.23-pre8.patch.gz already has .gz suffix -- unchanged

  10. #9
    Dołączył
    Dec 2003
    Skąd
    Tarnów
    Postów
    205
    Wątków
    0
    Siła Reputacji
    30
    Reputacja
    1
    Nie pamietam, dosc dawno nie uzywalem linuxa, moze -p0?

    Tak wogole to poguglaj, dobrze Ci zrobi.
    <img src='http://www.proftpd.de/forum2/images/smiles/icon_rtfm.gif' border='0' alt='user posted image'>
    Powered by FreeBSD 5.2-RC2

  11. #10
    Dołączył
    Dec 2003
    Postów
    93
    Wątków
    2
    Siła Reputacji
    30
    Reputacja
    1
    Nie gzip tylko gunzip CHYBA. Jesli w katalogu do patchowania do -p0, jesli o jeden wyzej, to -p1

Strona 1 z 2 12 OstatniOstatni

Informacje o wątku

Users Browsing this Thread

Aktualnie 1 użytkownik(ów) przegląda ten wątek. (0 zarejestrowany(ch) oraz 1 gości)

Podobne wątki

  1. Problem Z Kartą Dźwiękową
    By Mantir in forum Sprzęt
    Odpowiedzi: 18
    Ostatni post / autor: 23.01.2005, 22:41
  2. Dzwięk = Trzaski
    By Krajan in forum Multimedia
    Odpowiedzi: 23
    Ostatni post / autor: 16.12.2004, 16:54
  3. Problem Z Podłączeniem Aparatu Pentax 33l
    By grapess in forum Sprzęt
    Odpowiedzi: 7
    Ostatni post / autor: 17.09.2004, 21:00
  4. mandrake10 +neostrada
    By Photo5 in forum Sieć
    Odpowiedzi: 6
    Ostatni post / autor: 15.04.2004, 10:14

Members who have read this thread: 0

There are no members to list at the moment.

Uprawnienia

  • Nie możesz zakładać nowych wątków
  • Nie możesz pisać wiadomości
  • Nie możesz dodawać załączników
  • Nie możesz edytować swoich postów
  •